/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * Simple C component implementation for business interface Service1
 * @author Bryan Aupperle
 *
 */

#include "Service1Superset.h"
#include "..\SCA.h"

/* @Property */
char serviceName[50];

char *operation1(const char *input) {
	int compCode, reason, size = 50;
	char *pServiceName = serviceName, *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &compCode, &reason);
	
	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked");
	return result;
};

char *operation2(const char *input) {
	int compCode, reason, size = 50;
	char *pServiceName = serviceName, *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &compCode, &reason);
	
	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked");
	return result;
};
